"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toBeArrayOfSize = toBeArrayOfSize;
var _utils = require("../utils");
function toBeArrayOfSize(actual, expected) {
  const {
    printExpected,
    printReceived,
    matcherHint
  } = this.utils;
  const passMessage = `${matcherHint('.not.toBeArrayOfSize')}

Expected value to not be an array of size:
  ${printExpected(expected)}
Received:
  value: ${printReceived(actual)}
  length: ${printReceived((0, _utils.determinePropertyMessage)(actual, 'length'))}`;
  const failMessage = `${matcherHint('.toBeArrayOfSize')}

Expected value to be an array of size:
  ${printExpected(expected)}
Received:
  value: ${printReceived(actual)}
  length: ${printReceived((0, _utils.determinePropertyMessage)(actual, 'length'))}`;
  const pass = Array.isArray(actual) && actual.length === expected;
  return {
    pass,
    message: () => pass ? passMessage : failMessage
  };
}